### Method

# EDataServer SourceCollection set_allow_sources_rename

since: 3.36

#### Declaration [src]

    void
    e_source_collection_set_allow_sources_rename (
      ESourceCollection* extension,
      gboolean allow_sources_rename
    )

#### Description [src]

Sets whether the collection backend allows a user to rename child sources. It is meant mainly for GUI. The default is `FALSE`.

Available since: 3.36

Sets property | `EDataServer.SourceCollection:allow-sources-rename`

#### Parameters

`allow_sources_rename`

  Type: `gboolean`

  Whether mail sources should be enabled.